Package org.eclipse.emf.cdo.expressions.impl

## Class EvaluationContextImpl

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<java.lang.String,​java.lang.Object>
    - - org.eclipse.emf.cdo.expressions.impl.EvaluationContextImpl

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.util.Map<java.lang.String,​java.lang.Object>`, `EvaluationContext`

      public class EvaluationContextImpl
      extends java.util.HashMap<java.lang.String,​java.lang.Object>
      implements EvaluationContext

  A `HashMap`-based default implementation of an `EvaluationContext`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `java.util.AbstractMap.SimpleEntry<K extends java.lang.Object,​V extends java.lang.Object>, java.util.AbstractMap.SimpleImmutableEntry<K extends java.lang.Object,​V extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `java.util.Map.Entry<K extends java.lang.Object,​V extends java.lang.Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EvaluationContextImpl()` |
    `EvaluationContextImpl​(int initialCapacity)` |
    `EvaluationContextImpl​(int initialCapacity, float loadFactor)` |
    `EvaluationContextImpl​(java.lang.Object thisValue)` |
    `EvaluationContextImpl​(java.util.Map<? extends java.lang.String,​? extends java.lang.Object> m)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<?>` | `getClass​(java.lang.String name)` |

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.EvaluationContext

      `get`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### EvaluationContextImpl

          public EvaluationContextImpl()

    - #### EvaluationContextImpl

          public EvaluationContextImpl​(int initialCapacity,
                                       float loadFactor)

    - #### EvaluationContextImpl

          public EvaluationContextImpl​(int initialCapacity)

    - #### EvaluationContextImpl

          public EvaluationContextImpl​(java.util.Map<? extends java.lang.String,​? extends java.lang.Object> m)

    - #### EvaluationContextImpl

          public EvaluationContextImpl​(java.lang.Object thisValue)

  - ### Method Detail

    - #### getClass

          public java.lang.Class<?> getClass​(java.lang.String name)

      Specified by:
        `getClass` in interface `EvaluationContext`